org.apache.calcite.avatica.remote

## Class Service.CloseStatementRequest

- java.lang.Object
- - org.apache.calcite.avatica.remote.Service.Base
  - - org.apache.calcite.avatica.remote.Service.Request
    - - org.apache.calcite.avatica.remote.Service.CloseStatementRequest

Enclosing interface:
  Service

    public static class Service.CloseStatementRequest
    extends Service.Request

Request for `Meta.closeStatement(org.apache.calcite.avatica.Meta.StatementHandle)`.

### Field Summary

Fields
`String` `connectionId`
`int` `statementId`

### Constructor Summary

Constructors
Constructor and Description
`CloseStatementRequest(String connectionId, int statementId)`

### Method Summary

All Methods Instance Methods Concrete Methods
`boolean` `equals(Object o)`
`int` `hashCode()`

### Methods inherited from class org.apache.calcite.avatica.remote.Service.Base

`p, p, p, p`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### connectionId

    public final String connectionId

#### statementId

    public final int statementId

### Constructor Detail

#### CloseStatementRequest

    public CloseStatementRequest(String connectionId,
                                 int statementId)

### Method Detail

#### hashCode

    public int hashCode()

Overrides:
  `hashCode` in class `Object`

#### equals

    public boolean equals(Object o)

Overrides:
  `equals` in class `Object`